package org.objectweb.petals.tools.juddiAdmin.search;

import java.util.List;

import javax.xml.registry.JAXRException;
import javax.xml.registry.infomodel.Concept;
import javax.xml.registry.infomodel.Organization;
import javax.xml.registry.infomodel.ServiceBinding;
import javax.xml.registry.infomodel.Service;

/**
 * This class allows you to search services and organizations into a UDDI registry
 * with different criteria.
 * 
 * @author EL JAI Mohammed
 *
 */

public interface SearchRegistry {
	
	/**
	 * Return all the organizations registered into the registry.
	 * @return
	 */
	public List<Organization> findAllOrganizations() ;
	
	/**
	 * Return the organization whose name is the string passed in parameter. 
	 * @param name
	 * @return
	 */
	public Organization findOrganizationByName(String name) ;
	
	/**
	 * Return all the services registered into the registry.
	 * @return
	 */
	public List<Service> findAllServices() ;
	
	/**
	 * Return the service whose name is the string passed in parameter.
	 * @param name
	 * @return
	 */
	public Service findServiceByName(String name) ;
	
	/**
	 * Return the service named 'name' and provided by 'org'. 
	 * @param name service name
	 * @param org 
	 * @return
	 */
	public Service findServiceByCompany(String name, Organization org);
	
	

}
