/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2007 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: CollectorThread.java msauvage $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.tools.webadmin.collector;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.objectweb.petals.tools.webadmin.bo.Message;
import org.objectweb.petals.tools.webadmin.bo.MessageExchange;

public class ExchangesStorage {
    
    private static ExchangesStorage INSTANCE;
    
    private List<String> notificationProcessed;
    
    private String server;
    
    private Map<String,MessageExchange> exchanges;

    public ExchangesStorage(String server) {
        this.server=server;
    }

    public Map<String, MessageExchange> getExchanges() {
        return exchanges;
    }

    public void setExchanges(Map<String, MessageExchange> exchanges) {
        this.exchanges = exchanges;
    }

    public List<String> getNotificationProcessed() {
        return notificationProcessed;
    }

    public void setNotificationProcessed(List<String> notificationProcessed) {
        this.notificationProcessed = notificationProcessed;
    }
    
    public void addNotificationProcessed(String notificationId) {
        if (this.notificationProcessed == null) {
            this.notificationProcessed = new ArrayList<String>();
        }
        this.notificationProcessed.add(notificationId);
    }
    
    public boolean hasProcessedNotification(String notificationId) {
        return (this.notificationProcessed != null) && (this.notificationProcessed.contains(notificationId));
        
    }
    
    public void addMessage(Message msg) {
        String msgId = msg.getId();
        if (exchanges == null) {
            this.exchanges = new HashMap<String, MessageExchange>();
        }
        /** retrieve corresponding Exchanges if already created **/
        if (this.exchanges.containsKey(msgId)) {
            this.exchanges.get(msgId).addmessage(msg);
        } else {
            MessageExchange me = new MessageExchange(msg);
            this.exchanges.put(msgId, me);
        }
    }

    public void addMessages(List<Message> msgs) {
        for (Message msg : msgs) {
            this.addMessage(msg);
        }
    }

    public String getServer() {
        return server;
    }

    public void setServer(String server) {
        this.server = server;
    }

    
}
