/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2007 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: TimeDatasMBean.java msauvage $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.tools.webadmin.mbean;

import java.util.Map;

/**
 * interface to MBean to store time datas as <timestamp,number> pairs datas are
 * stored as <key,value> pairs in a Map<Long,Long>
 * 
 * @author msauvage
 * 
 */
public interface TimeDatasMBean {

    int add(String datasetName, long timestamp, long number);

    int addAll(String datasetName, Map<Long, Long> newDatas);

    int clear();

    Map<String, Map<Long, Long>> getDatas();

    Map<Long, Long> getDatas(String datasetName, long sinceTime);

    Map<Long, Long> getDataset(String datasetName);

    void setDatas(Map<String, Map<Long, Long>> datas);

    void addDataset(String datasetName, Map<Long, Long> datas);

}
