/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2007 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id$
 * -------------------------------------------------------------------------
 */

package org.objectweb.petals.tools.webadmin.ui.administration;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.DynaActionForm;
import org.objectweb.petals.tools.webadmin.service.NewJMXService;
import org.objectweb.petals.tools.webadmin.ui.infra.action.AuthentifiedAction;
import org.objectweb.petals.tools.webadmin.ui.infra.bean.ComponentLVO;
import org.objectweb.petals.tools.webadmin.ui.infra.session.AdminSession;
import org.objectweb.petals.tools.webadmin.util.JBIEntity;

/**
 * Display all BC and SE for a server
 *  request params : server
 *  
 * @author mcarpentier - EBM Websourcing
 *
 */
public class ShowAdminComponents extends AuthentifiedAction {

    @Override
    public ActionForward executeAuthentified(ActionMapping iActionMapping,
            ActionForm iActionForm, HttpServletRequest iServletRequest,
            HttpServletResponse iServletResponse) throws Exception {
        AdminSession adminSession = AdminSession.getAdminSession(iServletRequest.getSession());
        
        /** set navigation info**/
        adminSession.setSelectedMenu(AdminSession.PETALS_ADMINISTRATION);

        String serverName;
        if (iServletRequest.getAttribute("server") != null) {
            serverName = (String) iServletRequest.getAttribute("server");
        }
        else {
            serverName = iServletRequest.getParameter("server");
        }
        DynaActionForm form = (DynaActionForm) iActionForm;
        form.set("server", serverName);
        
        NewJMXService jmxService = NewJMXService.getJmxService();
        Map<String, JBIEntity> serverComponents = jmxService.getComponents(serverName);
            if (serverComponents.size() > 0) {
                List<ComponentLVO> components = new ArrayList<ComponentLVO>();
                for (JBIEntity comp : serverComponents.values()) {
                    components.add(new ComponentLVO(comp.getName(),comp.getState()));
                }
                form.set("components",components);
                
            }
        
        return iActionMapping.findForward("success");

    }

}
