/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2007 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id$
 * -------------------------------------------------------------------------
 */

package org.objectweb.petals.tools.webadmin.ui.administration;

import javax.management.MBeanException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.objectweb.petals.tools.webadmin.collector.DataCollector;
import org.objectweb.petals.tools.webadmin.ui.infra.action.AuthentifiedAction;
import org.objectweb.petals.tools.webadmin.ui.infra.bean.InfoBean;
import org.objectweb.petals.tools.webadmin.ui.infra.session.AdminSession;

/**
 * Uninstall a given component
 * request params :server, component
 * 
 * @author mcarpentier - EBM Websourcing
 *
 */
public class UninstallComponent extends AuthentifiedAction{

    @Override
    public ActionForward executeAuthentified(ActionMapping iActionMapping, ActionForm iActionForm, HttpServletRequest iServletRequest, HttpServletResponse iServletResponse) throws Exception {
        String server = iServletRequest.getParameter("server");
        String component = iServletRequest.getParameter("component");

        AdminSession adminSession = AdminSession.getAdminSession(iServletRequest.getSession());
        
        /** set navigation info**/
        adminSession.setSelectedMenu(AdminSession.PETALS_ADMINISTRATION);
      
        iServletRequest.setAttribute("server", server);
        InfoBean infoBean = new InfoBean();

        DataCollector collector = DataCollector.getCollector();
        try {
            collector.uninstallComponent(server, component);
            //force to refresh datas on storage server before refreshing display via js
            collector.updateAndExposeComponents();

            infoBean.setMessage("Component " + component+ " successfully uninstalled");
            infoBean.setMessageType(InfoBean.INFO_MESSAGE);
            adminSession.setInfobean(infoBean);
        } catch (MBeanException e) {
            infoBean.setMessage("Error: c'ant uninstall component :" + e.getMessage());
            infoBean.setMessageType(InfoBean.ERROR_MESSAGE);
            adminSession.setInfobean(infoBean);
        }

        return iActionMapping.findForward("success");
    }

}
