/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2007 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id$
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.tools.webadmin.ui.infra.bean;

import java.util.HashSet;
import java.util.List;
import java.util.Set;

/**
 * Message Exchange Light Value Object
 * 
 * @author mcarpentier - EBM Websourcing
 *
 */
public class ExchangeLVO {
    
    private String exchangeId;
    private String endTime;
    private String startTime;
    private String status;
    private String mep;
    private List<String> messages;
    private Set<String> involvedComponents;
    
    public String getEndTime() {
        return endTime;
    }
    
    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }
    
    public String getExchangeId() {
        return exchangeId;
    }
    
    public void setExchangeId(String exchangeId) {
        this.exchangeId = exchangeId;
    }
    
    public List<String> getMessages() {
        return messages;
    }
    
    public void setMessages(List<String> messages) {
        this.messages = messages;
    }
    
    public String getStartTime() {
        return startTime;
    }
    
    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }
    
    public String getStatus() {
        return status;
    }
    
    public void setStatus(String status) {
        this.status = status;
    }

    public String getMep() {
        return mep;
    }

    public void setMep(String mep) {
        this.mep = mep;
    }

    public Set<String> getInvolvedComponents() {
        return involvedComponents;
    }

    public void setInvolvedComponents(Set<String> involvedComponents) {
        this.involvedComponents = involvedComponents;
    }
    public void addInvolvedComponent(String component) {
        if (this.involvedComponents == null) {
            this.involvedComponents = new HashSet<String>();
        }
        this.involvedComponents.add(component);
    }
    
    
    
}
