/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2007 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id$
 * -------------------------------------------------------------------------
 */

package org.objectweb.petals.tools.webadmin.ui.infra.bean;

import java.util.ArrayList;
import java.util.List;

/**
 * Server Light Value Object
 * 
 * @author mcarpentier - EBM Websourcing
 *
 */
public class ServerLVO {
    private String name;

    private List<ComponentLVO> components;

    public ServerLVO(String serverName) {
        this.name = serverName;
    }

    public List<ComponentLVO> getComponents() {
        return components;
    }

    public void setComponents(List<ComponentLVO> components) {
        this.components = components;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public void addComponent(ComponentLVO component) {
        if (getComponents() == null) {
            this.components = new ArrayList<ComponentLVO>();
        }
        this.components.add(component);
    }

    public List<ComponentLVO> getBindingComponents() {
        List<ComponentLVO> result = new ArrayList<ComponentLVO>();
        if (getComponents() != null) {
            for (ComponentLVO component : getComponents()) {
                if (ComponentLVO.BC_TYPE.equalsIgnoreCase(component.getType())) {
                    result.add(component);
                }
            }
        }
        return result;
    }

    public List<ComponentLVO> getServiceEngines() {
        List<ComponentLVO> result = new ArrayList<ComponentLVO>();

        if (getComponents() != null) {
            for (ComponentLVO component : getComponents()) {
                if (ComponentLVO.SE_TYPE.equalsIgnoreCase(component.getType())) {
                    result.add(component);
                }
            }
        }
        return result;
    }

}
