/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2007 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id$
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.tools.webadmin.ui.infra.breadcrumbtrail;

import java.util.ArrayList;
import java.util.List;

import org.jdom.Document;
import org.jdom.Element;
import org.objectweb.petals.tools.webadmin.util.ConfigHelper;
import org.objectweb.petals.tools.webadmin.util.StringHelper;

/**
 * This class allows the user to retrieve a web formatted breadcrumb trail mapped in an XML file
 * 
 * @author mcarpentier - EBM Websourcing
 *
 */
public class BreadCrumbTrail {
    private static boolean temoin = false;
    public static String separator=" &gt; ";

    public static void setSeparator(String separator) {
        BreadCrumbTrail.separator = separator;
    }

    public static List<BreadCrumb> getTrail(String breadCrumbId,String contextPath) {
        Document doc;
        if ((StringHelper.isNullOrEmpty(breadCrumbId)) || StringHelper.isNullOrEmpty(contextPath)) { return null; }
        List<BreadCrumb> list = null;
        try {
            /**get mapsite config **/
            doc = ConfigHelper.getConfig("mapsite.xml");
            Element root = doc.getRootElement();

            /** initialize recursion **/
            temoin = false;
            list = new ArrayList<BreadCrumb>();
            searchId(root, breadCrumbId, list);

        } catch (Exception e) {
            e.printStackTrace();
        }
        
        return list;
    }

    public static void searchId(Element element, String id, List<BreadCrumb> list) {
        if (element.getAttributeValue("id").equalsIgnoreCase(id)) {
                /** the breadcrumb matching the id has been found **/
                temoin = true;
            }
            else {
            /** recursion **/
            for (int i = 0; ((i < element.getChildren().size()) && (temoin == false)); i++) {
                searchId((Element) element.getChildren().get(i), id,list);
            }
        }
        if (temoin == true) {
            BreadCrumb bc = new BreadCrumb(element.getAttributeValue("uri"),element.getAttributeValue("title"),element.getAttributeValue("id"));
            list.add(bc);
        }
        return;
    }

}