/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2007 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id$
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.tools.webadmin.ui.infra.util;

import java.util.Date;

import org.objectweb.petals.tools.webadmin.ui.infra.bean.ExchangeLVO;
import org.objectweb.petals.tools.webadmin.util.DateHelper;

/**
 * Compare 2 {@link ExchangeLVO} by time
 * 
 * @author mcarpentier - EBM Websourcing
 *
 */
public class ExchangeLVOComparator implements java.util.Comparator {
       
        public ExchangeLVOComparator()
        {
            super();
        }
        
        public int compare(Object o1, Object o2) {
            String time1=((ExchangeLVO) o1).getStartTime();
            String time2=((ExchangeLVO) o2).getStartTime();
            Date d1= DateHelper.unformat(time1);
            Date d2= DateHelper.unformat(time2);
            return d2.compareTo(d1);            
        }
    }