/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2007 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id$
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.tools.webadmin.ui.logon;

import java.io.UnsupportedEncodingException;
import java.net.URLEncoder;

import javax.servlet.http.HttpServletRequest;

import org.apache.struts.action.ActionForward;

/**
 * util class for login system
 * 
 * @author mcarpentier - EBM Websourcing
 *
 */
public class LogonUtil
{
	/**
	 * Initiates the logon process, and then comes back to the given request URL.
	 * @param iRequest the current request
	 * @return
	 */
	public static ActionForward getLogonForward(HttpServletRequest iRequest)
	{
		String nextUrl = iRequest.getRequestURI().substring(iRequest.getContextPath().length());
		if(iRequest.getQueryString() != null)
			nextUrl += "?"+iRequest.getQueryString();
		return getLogonForward(nextUrl);
	}
	/**
	 * Initiates the logon process, and then comes back to the given request URL.
	 * @param iNextUrl
	 * @return
	 */
	public static ActionForward getLogonForward(String iNextUrl)
	{
		String nextUrlEnc = iNextUrl;
        try
        {
	        nextUrlEnc = URLEncoder.encode(iNextUrl, "UTF-8");
        }
        catch(UnsupportedEncodingException e)
        {
	        e.printStackTrace();
        }

		return new ActionForward("/showLogon.do?nextUrl="+nextUrlEnc,true);
	}
}
