/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2007 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id$
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.tools.webadmin.ui.monitoring;

import java.util.Map;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.DynaActionForm;
import org.objectweb.petals.tools.webadmin.service.NewJMXService;
import org.objectweb.petals.tools.webadmin.ui.infra.action.AuthentifiedAction;
import org.objectweb.petals.tools.webadmin.ui.infra.session.AdminSession;
import org.objectweb.petals.tools.webadmin.util.JBIEntity;
import org.objectweb.petals.tools.webadmin.util.StringHelper;

/**
 * @author mcarpentier  - EBM Websourcing
 */
public class ShowComponent extends AuthentifiedAction {

    @Override
    public ActionForward executeAuthentified(ActionMapping iActionMapping,
            ActionForm iActionForm, HttpServletRequest iServletRequest,
            HttpServletResponse iServletResponse) throws Exception {

        AdminSession adminSession = AdminSession.getAdminSession(iServletRequest.getSession());
        
        /** set navigation info**/
        adminSession.setSelectedMenu(AdminSession.MONITORING);

        String serverName = iServletRequest.getParameter("server");
        String componentName = iServletRequest.getParameter("component");
        
        DynaActionForm form = (DynaActionForm) iActionForm;
        
        form.set("serverName",serverName);

        NewJMXService jmxService = NewJMXService.getJmxService();

        Map<String, JBIEntity> components = jmxService
                .getComponents(serverName);

        JBIEntity component = null;
        for (String currCompoName : components.keySet()) {
            if (currCompoName.equalsIgnoreCase(componentName)) {
                component = components.get(currCompoName);
            }
        }
        if (component != null) {
            form.set("name",component.getName());
            form.set("type",component.getType());
            form.set("description",component.getDescription());
            form.set("objectName",component.getObjectName().getCanonicalName());
            form.set("state",component.getState());
            form.set("name",component.getName());
            
            if ((component.getServiceUnits() != null)
                    && (!(component.getServiceUnits().isEmpty()))) {
                String sus = "";
                for (String s : component.getServiceUnits()) {
                    if (StringHelper.isNotNullAndNotEmpty(sus)) {
                        sus = s;
                    } else {
                        sus = sus + "," + s;
                    }
                }
                form.set("serviceUnits",sus);
            }
            else {
                form.set("serviceUnits","none");
            }

        }
        
        return iActionMapping.findForward("success");
    }

}
