/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2007 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id$
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.tools.webadmin.ui.monitoring;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.objectweb.petals.tools.webadmin.collector.DataCollector;
import org.objectweb.petals.tools.webadmin.ui.infra.action.AuthentifiedAction;
import org.objectweb.petals.tools.webadmin.ui.infra.session.AdminSession;
/**
 * @author mcarpentier  - EBM Websourcing
 */
public class StartStopMonitoring extends AuthentifiedAction {

    @Override
    public ActionForward executeAuthentified(ActionMapping iActionMapping,
        ActionForm iActionForm, HttpServletRequest iServletRequest,
        HttpServletResponse iServletResponse) throws Exception {

        AdminSession adminSession = AdminSession.getAdminSession(iServletRequest.getSession());
        
        /** set navigation info**/
        adminSession.setSelectedMenu(AdminSession.MONITORING);

        DataCollector collector = DataCollector.getCollector();
        String serverName = iServletRequest.getParameter("serv");

        // transform parameters to boolean
        boolean monitoring = false;
        boolean showMessages = false;
        boolean doNothing = false;
        if (iServletRequest.getParameter("monitoring") != null) {
            monitoring = new Boolean(iServletRequest.getParameter("monitoring"));
        } else {
            // no action received -> do nothing
            doNothing = true;
        }
        if (iServletRequest.getParameter("show") != null) {
            showMessages = new Boolean(iServletRequest.getParameter("show"));
        }

        // action received
        if (!doNothing) {
            if (!serverName.equalsIgnoreCase("all")) {
                if (monitoring) {
                    try {
                        collector.activateMonitoring(serverName, showMessages);
                    } catch (Exception e) {
                        e.printStackTrace();
                    }
                } else {
                    collector.deactivateMonitoring(serverName);
                }
            } else {
                if (monitoring) {
                    collector.activateMonitoringAllServers(showMessages);
                } else {
                    collector.deactivateMonitoringAllServers();
                }

            }
        }
        
        return iActionMapping.findForward("success");
    }

}
