/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005-2006 EBM WebSourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.tools.webadmin.util;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * 
 * @author mcarpentier - EBM Websourcing
 * 
 */
public final class DateHelper {
    
    public static SimpleDateFormat SIMPLE_DATEFORMAT= new SimpleDateFormat("dd MMM yyyy HH:mm:ss");
    public static SimpleDateFormat DETAILLED_DATEFORMAT = new SimpleDateFormat("dd MMM yyyy HH:mm:ss.SSS");
    
    private DateHelper() {
        super();
    }

    /**
     * 
     * @return
     */
    public static String format(final String a) {
        return SIMPLE_DATEFORMAT.format(a);
    }

    /**
     * 
     * @return
     */
    public static String format(final Date a,final SimpleDateFormat dateFormat) {
        return dateFormat.format(a);
    }
    
    /**
     * 
     * @return
     */
    public static String format(final Date a) {
        return SIMPLE_DATEFORMAT.format(a);
    }

    public static Date unformat(String time) {
        Date d;
        try {
            d= SIMPLE_DATEFORMAT.parse(time);
        } catch (ParseException e) {
            d=new Date();
        }
        return d;
    }

  
}
